ALTER TABLE public.person ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( leaving_date < '9999-12-31' ) AND ( arrival_date < '9999-12-31' ) );
ALTER TABLE public.visitorship ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( start_date < '9999-12-31' ) AND ( end_date < '9999-12-31' ) AND ( intended_end_date < '9999-12-31' ) );
ALTER TABLE public.erasmus_socrates_studentship ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( start_date < '9999-12-31' ) AND ( end_date < '9999-12-31' ) AND ( intended_end_date < '9999-12-31' ) );
ALTER TABLE public.part_iii_studentship ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( start_date < '9999-12-31' ) AND ( end_date < '9999-12-31' ) AND ( intended_end_date < '9999-12-31' ) );
ALTER TABLE public.post_history ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( start_date < '9999-12-31' ) AND ( end_date < '9999-12-31' ) AND ( intended_end_date < '9999-12-31' ) AND ( funding_end_date < '9999-12-31' ) );
ALTER TABLE public.postgraduate_studentship ADD CONSTRAINT date_affecting_status_cannot_be_far_future CHECK ( ( start_date < '9999-12-31' ) AND ( end_date < '9999-12-31' ) AND ( intended_end_date < '9999-12-31' ) AND ( funding_end_date < '9999-12-31' ) );
